Package com.macrofocus.high_d.parallelcoordinatesmatrix.javafx

# Class JavaFXParallelCoordinatesMatrixView<Row,Column>

java.lang.Object
com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>
com.macrofocus.high_d.parallelcoordinatesmatrix.javafx.JavaFXParallelCoordinatesMatrixView<Row,Column>

All Implemented Interfaces:
  `ParallelCoordinatesMatrixView<javafx.scene.Node,javafx.scene.paint.Color>`

public class JavaFXParallelCoordinatesMatrixView<Row,Column> extends AbstractParallelCoordinatesMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixView

  `model, parallelCoordinates`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXParallelCoordinatesMatrixView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ParallelCoordinates<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`
  `createParallelCoordinates()`
  `Object`
  `getClosestRow(int x, int y)`
  `protected com.macrofocus.crossplatform.CPFactory<javafx.scene.Node,?,?,javafx.scene.paint.Color>`
  `getFactory()`
  `javafx.scene.Node`
  `getNativeComponent()`
  `protected void`
  `refresh()`

  ### Methods inherited from class com.macrofocus.high_d.parallelcoordinatesmatrix.AbstractParallelCoordinatesMatrixView

  `getColorTheme, getModel, getRowCount, isSelectionMode, isShowTiming, setAntialiasing, setColorTheme, setLicenseModel, setModel, setRendering, setSelectionMode, setShowFiltered, setShowTiming, updateParallelCoordinatesModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXParallelCoordinatesMatrixView

    public JavaFXParallelCoordinatesMatrixView()

- ## Method Details

  - ### createParallelCoordinates

    protected ParallelCoordinates<javafx.scene.Node,javafx.scene.paint.Color,Row,Column> createParallelCoordinates()
    Specified by:
      `createParallelCoordinates` in class `AbstractParallelCoordinatesMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractParallelCoordinatesMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### getClosestRow

    public Object getClosestRow(int x, int y)

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()

  - ### getFactory

    protected com.macrofocus.crossplatform.CPFactory<javafx.scene.Node,?,?,javafx.scene.paint.Color> getFactory()
    Specified by:
      `getFactory` in class `AbstractParallelCoordinatesMatrixView<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`